SphinxClient::setArrayResult
SphinxClient::setFieldWeights
SphinxClient
PHP Manual

# SphinxClient::setConnectTimeout

(PECL sphinx >= 0.1.0)

SphinxClient::setConnectTimeout — Set connection timeout

### Description

public bool SphinxClient::setConnectTimeout ( float `$timeout` )

Sets connection timeout (in seconds) for searchd connection.

### Parameters

`timeout`

  Timeout in seconds.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- SphinxClient::setMaxQueryTime

SphinxClient::setArrayResult
SphinxClient::setFieldWeights
SphinxClient
PHP Manual